Bug 50542 - errors in error messages
errors in error messages
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gdm (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-31 20:39 EDT by Michal Jaegermann
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-01 09:06:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for printf argument problems in gdm-2.2.3.1 (1.29 KB, patch)
2001-07-31 20:41 EDT, Michal Jaegermann
no flags Details | Diff

  None (edit)
Description Michal Jaegermann 2001-07-31 20:39:25 EDT
Description of Problem:

A recompilation of gdm from 'roswell' generates pretty well deserved
compiler complaints.  I believe that attached patch is needed but
it should be reviewed by somebody more familiar with internals.

As an aside - replacing in gui/gdmlogin.c this:
       gnome_dialog_grab_focus (GNOME_DIALOG (dialog), 0);
with
       gtk_widget_grab_focus (GTK_WINDOW (dialog));
allows to compile this source with older libraries (like those included
in 7.1).  Not sure if entirely correct but so far it works just fine. :-)
Maybe 'configure' could do that by itself?

  Michal
  michal@harddata.com
Comment 1 Michal Jaegermann 2001-07-31 20:41:17 EDT
Created attachment 25691 [details]
patch for printf argument problems in gdm-2.2.3.1
Comment 2 Havoc Pennington 2001-08-01 10:10:36 EDT
I believe gnome_dialog_grab_focus() grabs focus on the 0th button of the dialog,
not the dialog itself as with gtk_widget_grab_focus(). Grumble, this function
should NOT have been added to libgnomeui for exactly the reason you mention - it
looks like someone (I know who) snuck it in without a ChangeLog entry.

Patch looks great though. I am moving this bug upstream:
http://bugzilla.gnome.org/show_bug.cgi?id=58393
and closing it here.

Note You need to log in before you can comment on or make changes to this bug.